import request from '@/utils/request'

// 查询短链课程看课记录列表
export function listCourseWatchLog(query) {
  return request({
    url: '/course/courseWatchLog/list',
    method: 'get',
    params: query
  })
}

// 查询短链课程看课记录详细
export function getCourseWatchLog(logId) {
  return request({
    url: '/course/courseWatchLog/' + logId,
    method: 'get'
  })
}

// 新增短链课程看课记录
export function addCourseWatchLog(data) {
  return request({
    url: '/course/courseWatchLog',
    method: 'post',
    data: data
  })
}

// 修改短链课程看课记录
export function updateCourseWatchLog(data) {
  return request({
    url: '/course/courseWatchLog',
    method: 'put',
    data: data
  })
}

// 删除短链课程看课记录
export function delCourseWatchLog(logId) {
  return request({
    url: '/course/courseWatchLog/' + logId,
    method: 'delete'
  })
}

// 导出短链课程看课记录
export function exportCourseWatchLog(query) {
  return request({
    url: '/course/courseWatchLog/export',
    method: 'get',
    params: query
  })
}
